## org.apache.poi.sl.usermodel
Interface Shape

All Known Subinterfaces:
  AutoShape, Background, Line, Picture, SimpleShape, TextBox

    public interface Shape

Method Summary
`java.awt.geom.Rectangle2D` `getAnchor()`
`Shape` `getParent()`
`int` `getShapeType()`
`void` `moveTo(float x, float y)`
`void` `setAnchor(java.awt.geom.Rectangle2D anchor)`

Method Detail

### getShapeType

    int getShapeType()

### getAnchor

    java.awt.geom.Rectangle2D getAnchor()

### setAnchor

    void setAnchor(java.awt.geom.Rectangle2D anchor)

### moveTo

    void moveTo(float x,
                float y)

### getParent

    Shape getParent()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.